Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84772 - redhat-config-language and LANGUAGE line in /etc/sysconfig/i18n
Summary: redhat-config-language and LANGUAGE line in /etc/sysconfig/i18n
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-language
Version: 9
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 04:59 UTC by Yu Shao
Modified: 2007-03-27 04:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-21 19:39:03 UTC


Attachments (Terms of Use)
language_backeng.py.diff (deleted)
2003-02-25 05:25 UTC, Yu Shao
no flags Details | Diff

Description Yu Shao 2003-02-21 04:59:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
redhat-config-language should use "LANGUAGE=zh_CN.GB18030:zh_CN.GB2312:zh_CN"
for zh_CN.GB18030 locale, but for all other locales, do NOT use this line.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.using redhat-config-language to change language
2.if it is Simplified Chinese, use LANGUAGE line
3.if other languages, do NOT use LANGUAGE line
    

Additional info:

if we always use LANGUAGE line, then translations will be mixed if we are in
other languages like Japanese or Korean.

Comment 1 Yu Shao 2003-02-21 05:44:14 UTC
One point to add, If we select Simplified Chinese(zh_CN.GB18030 locale) as
default language in Anaconda, then Anaconda will add the LANGUAGE line
automatically.

Comment 2 Yu Shao 2003-02-23 23:07:28 UTC
I upgrade the priority to high, casue if someone installed simplified chinese as
default, he will not be able to change to other languages, cause all menu
translations will be mixed(majority is Chinese).

Comment 3 Brent Fox 2003-02-24 23:32:32 UTC
I don't think that there's time to fix this for GinGin.  :(

Comment 4 Yu Shao 2003-02-25 05:25:49 UTC
Created attachment 90338 [details]
language_backeng.py.diff

Hi bfox, I tested this patch ok, if it is ok to you, I can apply it for you.

Comment 5 Brent Fox 2003-02-25 18:00:25 UTC
The tree was locked at 12:00 Noon today, so there's no way to fix this for GinGin.

I'm not sure about that patch...I don't like the idea of special casing
languages in the python code.

I also don't understand why the key has to change from "LANG=" to "LANGUAGE="
for only one language.

Comment 6 Yu Shao 2003-02-26 05:56:08 UTC
>The tree was locked at 12:00 Noon today, so there's no way to fix this for >GinGin.
>
>I'm not sure about that patch...I don't like the idea of special casing
>languages in the python code.

Yeah, I agree. But that is a "quick" fix...

>I also don't understand why the key has to change from "LANG=" to "LANGUAGE="
>for only one language.

LANG is not replaced by LANGUAGE, just zh_CN.GB18030 needs it, but not other
locales.

Comment 7 Brent Fox 2003-05-21 19:39:03 UTC
Should be fixed in redhat-config-language-1.0.5-1.  I still say that special
casing this language is bad and seems to point to bigger encoding problems that
should be fixed instead of putting hacks into redhat-config-language and
anaconda to work around it.


Note You need to log in before you can comment on or make changes to this bug.